import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Image;
import java.awt.Insets;
import java.io.File;
import java.util.ArrayList;

import javax.swing.JFrame;
import javax.swing.JLabel;

import org.betacraft.Wrapper;
import org.betacraft.launcher.DownloadResult;
import org.betacraft.launcher.Launcher;

public class DL_12w18a_19a extends Wrapper {

	public DL_12w18a_19a(String user, String ver_prefix, String version, String sessionid, String mainFolder,
			Integer height, Integer width, Boolean RPC, String launchMethod, String server, String mppass, String USR,
			String VER, Image img, ArrayList addons) {
		super(user, ver_prefix, version, sessionid, mainFolder, height, width, RPC, launchMethod, server, mppass, USR, VER, img,
				addons);
	}

	@Override
	public void play() {
		String url = "https://betacraft.pl/server-archive/minecraft/snaps/1.3/" + this.version + ".jar";
		JFrame frame = new JFrame("Downloading dependencies...");
		frame.setLayout(new GridBagLayout());
		JLabel infolabel = new JLabel("Downloading: " + this.version + " server (" + url + ")");
		GridBagConstraints constr = new GridBagConstraints();

		constr.gridx = 0;
		constr.gridy = 0;
		constr.fill = GridBagConstraints.HORIZONTAL;
		constr.gridwidth = 1;
		constr.weightx = 1.0;
		constr.insets = new Insets(10, 10, 10, 10);

		frame.add(infolabel, constr);
		frame.pack();

		frame.setIconImage(this.icon);
		frame.setLocationRelativeTo(null);
		frame.setVisible(true);
		new File(this.mainFolder + "server" + File.separator).mkdirs();
		if (Launcher.download(url, new File(this.mainFolder + "server" + File.separator, "minecraft_server.jar")) == DownloadResult.FAILED_WITHOUT_BACKUP) {
			infolabel.setText("Failed to download! Check your Internet connection!");
			frame.setTitle("Failed!");
		} else {
			frame.setVisible(false);
		}
		this.launchType = "indev";
		super.play();
	}
}
